# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0) pkgconfig(libcurl)
# END SourceDeps(oneline)
Name:           gpredict
Version:        1.3
Release:        alt1_7
Summary:        Real-time satellite tracking and orbit prediction program
Group:          Communications
License:        GPLv2+
URL:            http://groundstation.sourceforge.net/gpredict/
Source0:        http://sourceforge.net/projects/gpredict/files/Gpredict/1.3/gpredict-1.3.tar.gz
Source1:        gpredict.desktop

BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: glib2-devel >= 2.12.0
BuildRequires: curl-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool >= 0.21
BuildRequires: libgoocanvas-devel
BuildRequires: gettext
Source44: import.info

%description
Gpredict is a real time satellite tracking and orbit prediction
program written using the Gtk+ widgets. Gpredict is targeted mainly
towards ham radio operators but others interested in satellite
tracking may find it useful as well. Gpredict uses the SGP4/SDP4
algorithms, which are compatible with the NORAD Keplerian elements.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -fr $RPM_BUILD_ROOT%{_datadir}/applications/gpredict.desktop

desktop-file-install \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   %{SOURCE1}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/gpredict/icons/*
%{_datadir}/pixmaps/gpredict/maps/*
%{_datadir}/pixmaps/gpredict-icon.png
%{_mandir}/man1/gpredict*


%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_6
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_5
- initial fc import

